/* Acción que, dados un real que representa el saldo de una cuenta corriente y 
otro real que representa un cargo o imposición, 
actualice el saldo de la cuenta. */

#include <stdio.h>

/* Constantes */

#define SALDO_INICIAL 0.0 // Saldo inicial de la cuenta

void actualizarsaldo(float *saldo, float cargo)
{
    *saldo = *saldo + cargo;
}

int main()
{
    float saldo, cargo;
    char continuar = 's';

    saldo = SALDO_INICIAL;

    printf("\n[i] El saldo actual de la cuenta corriente es de %.2f Petrodolares\n", saldo);

    while (continuar != 'n' && continuar != 'N') {

        printf("\n[+] Introduce el cargo o imposición: ");
        scanf("%f", &cargo);

        actualizarsaldo(&saldo, cargo);

        printf("\n[i] El saldo actual de la cuenta corriente es de %.2f Petrodolares\n", saldo);
        printf("\n[+] Quiere realizar otra operación? (s/n): ");
        getchar();
        scanf(" %c", &continuar);
        getchar();
        
    }

    return 0;
}
